IM_GAUSNOISE(3X)

NAME
im_gaussnoise - creates a gaussian noisy picture

SYNOPSIS
#include <vips/vips.h> int im_gaussnoise(image, xsize, ysize, mean, sigma)
IMAGE *image;
int xsize, ysize;
double mean, sigma;

DESCRIPTION
im_gaussnoise() creates a float one band gaussian noise picture of size xsize by ysize. The created image has mean mean and square root of variance equal to sigma. The noise is generated by averaging 12 random numbers.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_grey(3X), im_addgnoise(3X).

COPYRIGHT
N. Dessipris

AUTHOR
N. Dessipris - 10/05/1991